<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>f237d219-b86b-4c40-b351-1eccdad84e1f</UserSecretsId>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="13.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.10">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Common.WebApi\Common.WebApi.csproj" />
    <ProjectReference Include="..\Modules.Library.Application\Modules.Library.Application.csproj" />
    <ProjectReference Include="..\Modules.Library.Database\Modules.Library.Database.csproj" />
    <ProjectReference Include="..\Modules.User.Api\Modules.User.Api.csproj" />
    <ProjectReference Include="..\MyBookmark.ServiceDefaults\MyBookmark.ServiceDefaults.csproj" />
  </ItemGroup>

</Project>
